Diff spotify-1.0.72-r1 with a spotify-1.1.10-r1

/usr/portage/media-sound/spotify/spotify-1.1.10-r1.ebuild 2020-01-03 23:09:00.000000000 +0300
1 1
# Copyright 1999-2020 Gentoo Authors
2 2
# Distributed under the terms of the GNU General Public License v2
3 3

  
4
EAPI=6
5
inherit eutils gnome2-utils pax-utils unpacker xdg-utils
4
EAPI=7
5
inherit desktop pax-utils unpacker xdg
6 6

  
7 7
DESCRIPTION="Spotify is a social music platform"
8 8
HOMEPAGE="https://www.spotify.com/ch-de/download/previews/"
9 9
SRC_BASE="http://repository.spotify.com/pool/non-free/s/${PN}-client/"
10
#BUILD_ID_AMD64="117.g6bd7cc73-35"
11
BUILD_ID_X86="117.g6bd7cc73-35"
12
#SRC_URI="amd64? ( ${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_AMD64}_amd64.deb )
13
#	x86? ( ${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_X86}_i386.deb )"
14
SRC_URI="${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_X86}_i386.deb"
10
BUILD_ID_AMD64="546.ge08ef575-19"
11
SRC_URI="${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_AMD64}_amd64.deb"
15 12
LICENSE="Spotify"
16 13
SLOT="0"
17
KEYWORDS="x86"
18
IUSE="libnotify systray pax_kernel pulseaudio"
14
KEYWORDS="~amd64"
15
IUSE="libnotify libressl systray pax_kernel"
19 16
RESTRICT="mirror strip"
20 17

  
21
DEPEND=""
22
# zenity needed for filepicker
18
BDEPEND=">=dev-util/patchelf-0.10"
23 19
RDEPEND="
24
	${DEPEND}
25 20
	dev-libs/nss
26
	gnome-base/gconf
27
	gnome-extra/zenity
21
	dev-python/dbus-python
22
	dev-python/pygobject:3
23
	libnotify? ( x11-libs/libnotify )
24
	!libressl? ( dev-libs/openssl:0= )
25
	libressl? ( dev-libs/libressl:0= )
28 26
	media-libs/alsa-lib
29
	media-libs/harfbuzz
30 27
	media-libs/fontconfig
28
	media-libs/harfbuzz
31 29
	media-libs/mesa[X(+)]
32
	net-misc/curl[ssl,curl_ssl_openssl]
30
	net-misc/curl[ssl]
33 31
	net-print/cups[ssl]
32
	|| ( media-sound/pulseaudio media-sound/apulse )
33
	systray? ( gnome-extra/gnome-integration-spotify )
34 34
	x11-libs/gtk+:2
35
	app-accessibility/at-spi2-atk
35 36
	x11-libs/libXScrnSaver
36 37
	x11-libs/libXtst
37
	dev-python/pygobject:3
38
	dev-python/dbus-python
39
	libnotify? ( x11-libs/libnotify )
40
	pulseaudio? ( media-sound/pulseaudio )
41
	systray? ( gnome-extra/gnome-integration-spotify )"
38
"
42 39
	#sys-libs/glibc
43 40

  
44 41
S=${WORKDIR}/
......
53 50
			usr/share/spotify/spotify.desktop || die "sed failed"
54 51
	fi
55 52
	default
53

  
54
	# Spotify links against libcurl-gnutls.so.4, which does not exist in Gentoo.
55
	patchelf --replace-needed libcurl-gnutls.so.4 libcurl.so.4 usr/bin/spotify \
56
		|| die "failed to patch libcurl library dependency"
56 57
}
57 58

  
58 59
src_install() {
......
72 73
	dodir /usr/bin
73 74
	cat <<-EOF >"${D}"/usr/bin/spotify || die
74 75
		#! /bin/sh
76
		LD_LIBRARY_PATH="/usr/$(get_libdir)/apulse" \\
75 77
		exec ${SPOTIFY_HOME}/spotify "\$@"
76 78
	EOF
77 79
	fperms +x /usr/bin/spotify
......
88 90
		pax-mark z "${ED}${SPOTIFY_HOME}/${PN}" || die
89 91
		pax-mark m "${ED}${SPOTIFY_HOME}/${PN}" || die
90 92
		eqawarn "You have set USE=pax_kernel meaning that you intend to run"
91
		eqawarn "${PN} under a PaX enabled kernel.  To do so, we must modify"
93
		eqawarn "${PN} under a PaX enabled kernel.	To do so, we must modify"
92 94
		eqawarn "the ${PN} binary itself and this *may* lead to breakage!  If"
93 95
		eqawarn "you suspect that ${PN} is being broken by this modification,"
94 96
		eqawarn "please open a bug."
......
96 98
}
97 99

  
98 100
pkg_postinst() {
99
	gnome2_icon_cache_update
100
	xdg_mimeinfo_database_update
101
	xdg_desktop_database_update
101
	xdg_pkg_postinst
102 102

  
103 103
	ewarn "If Spotify crashes after an upgrade its cache may be corrupt."
104 104
	ewarn "To remove the cache:"
105 105
	ewarn "rm -rf ~/.cache/spotify"
106 106
}
107

  
108
pkg_postrm() {
109
	gnome2_icon_cache_update
110
	xdg_mimeinfo_database_update
111
	xdg_desktop_database_update
112
}
Thank you!